USE sop_db;

-- 2024-08以后
ALTER TABLE t_b_crm_detail MODIFY COLUMN service_scope varchar(30) NOT NULL COMMENT '服务范围，SCAN：仅扫描，SCAN_MARK：扫描+阅卷，CLOUD_MARK：研究生阅卷';

UPDATE sys_privilege
SET name='创建sop', url='CreateSop', `type`='LINK', parent_id=51, `sequence`=4, property='AUTH', related='2024,2061,2062,3080,3081,3082,3083,3084,3085,3086,3087,3096', enable=1, default_auth=0, front_display=1
WHERE id=3079;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3096, '编辑派单明细研究生sop', '/api/admin/tb/crm/detail/sop/cloud_mark/save', 'URL', 3079, 9, 'AUTH', NULL, 1, 1, 0);

INSERT INTO t_d_form_widget
(id, code, `type`, form_id, form_name, title, input_type, required, readable, writable, visable, `scale`, `length`, binding, data_grid, tips, format, span, sub_title, `options`, flow_type, form_setup, handle, form_group, role_type, create_id, create_time)
VALUES(191, 'SINGLE_SELECT', 'FORM', 'region_manager_id', 'region_manager_id', '大区经理', 'LONG', 0, 1, 0, 1, NULL, NULL, NULL, '/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=REGION_MANAGER', NULL, NULL, 4, NULL, NULL, 'CLOUD_MARK_SOP_FLOW', 1, 0, NULL, NULL, 1, 17);

UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='region_coordinator_id', form_name='region_coordinator_id', title='区域协调人', input_type='LONG', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=REGION_COORDINATOR', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=14
WHERE id=104;
UPDATE t_d_form_widget
SET code='MULTIPLE_SELECT', `type`='FORM', form_id='engineer_users_id', form_name='engineer_users_id', title='工程师', input_type='ARRAY', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=ENGINEER', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=15
WHERE id=105;
UPDATE t_d_form_widget
SET code='SINGLE_SELECT', `type`='FORM', form_id='project_manager_id', form_name='project_manager_id', title='项目经理', input_type='LONG', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid='/api/admin/user/archives/allocation/can_choose?crmDetailId=#{id}&sopRoleType=PROJECT_MANAGER', tips=NULL, format=NULL, span=4, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=16
WHERE id=106;
UPDATE t_d_form_widget
SET code='ONLY_TITLE', `type`='FORM', form_id='project_rish_title', form_name='project_rish_title', title='项目风险预估（仅供参考）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=18
WHERE id=107;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='delay_rish_cb', form_name='delay_rish_cb', title='延期风险', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=19
WHERE id=108;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='engineer_rish_cb', form_name='engineer_rish_cb', title='实施难度', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"LOW","label":"低"},{"value":"MIDDLE","label":"中"},{"value":"HIGH","label":"高"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=20
WHERE id=109;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='other_remark', form_name='other_remark', title='其它备注（建议关注的其它方面）', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=21
WHERE id=110;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='project_contacts_title', form_name='project_contacts_title', title='项目联系人', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=22
WHERE id=111;
UPDATE t_d_form_widget
SET code='TABLE', `type`='FORM', form_id='project_contacts_table', form_name='project_contacts_table', title='项目联系人表格', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=23
WHERE id=112;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_college', form_name='school_college', title='项目联系人表格_机构输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=24
WHERE id=113;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_name', form_name='school_name', title='项目联系人表格_姓名输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=25
WHERE id=114;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_job', form_name='school_job', title='项目联系人表格_职务输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=26
WHERE id=115;
UPDATE t_d_form_widget
SET code='TEXT', `type`='TABLE', form_id='school_tel', form_name='school_tel', title='项目联系人表格_电话输入框', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=3, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=27
WHERE id=116;
UPDATE t_d_form_widget
SET code='DATE', `type`='FORM', form_id='service_finish_plan_begin_date', form_name='service_finish_plan_begin_date', title='现场服务完成进场计划时间', input_type='LONG', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format='yyyy-MM-dd', span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=1, handle=1, form_group=NULL, role_type=NULL, create_id=1, create_time=11
WHERE id=190;

DELETE FROM t_d_form_widget
WHERE id=144;
DELETE FROM t_d_form_widget
WHERE id=145;
DELETE FROM t_d_form_widget
WHERE id=146;

DELETE FROM t_d_form_widget
WHERE id=185;
DELETE FROM t_d_form_widget
WHERE id=186;
DELETE FROM t_d_form_widget
WHERE id=187;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='upload_list_title', form_name='upload_list_title', title='上传清单和报告', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=141;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='upload_device_version_photos', form_name='upload_device_version_photos', title='上传扫描仪固件版本号拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=4, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=188;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='import_data_title', form_name='import_data_title', title='导入数据', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=147;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='data_same', form_name='data_same', title='导入数据', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"true","label":"导入数据与原始数据是否一致"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=148;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='import_exam_student_count', form_name='import_exam_student_count', title='导入考生数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=149;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='scan_set_title', form_name='scan_set_title', title='扫描仪设置', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=150;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='scan_set_cb', form_name='scan_set_cb', title='扫描仪设置', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、扫描仪分辨率设置是150"},{"value":"2","label":"2、是否勾选“自动剪切”，“纠正歪斜”"},{"value":"3","label":"3、是否勾选“边界去除”"},{"value":"4","label":"4、勾选“双张进纸检测”-“有效”-动作“停止”"},{"value":"5","label":"5、爱普生型号，选择“扫描模式”-“设置”-“装订边缘”-“上”"},{"value":"6","label":"6、华高扫描仪型号，检查背面图像；如背面图像倒转，则勾选“背面旋转180°”"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=151;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='card_format_title', form_name='card_format_title', title='卡格式制作', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=152;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='card_format_cb', form_name='card_format_cb', title='卡格式制作', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、定位线：上方紧挨装钉“线”字，但是不超过“线”字；考生信息遮挡区需按要求框选"},{"value":"2","label":"2、扫描原图正反面检查是否正确"},{"value":"3","label":"3、扫描裁切图屏蔽区检查是否正确"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=153;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='paper_list_title', form_name='paper_list_title', title='纸质检查表上传', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=154;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='paper_check_photos', form_name='paper_check_photos', title='上传关键节点检查(纸质)表单拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=5, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=155;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='manual_bar_code_title', form_name='manual_bar_code_title', title='手工输入条码确认', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=156;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='manual_bar_code_cb', form_name='manual_bar_code_cb', title='手工输入条码确认', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`='[{"value":"1","label":"“数据检查”-“人工确认”，”确认已完成”"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=157;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='complete_count', form_name='complete_count', title='完成数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=158;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='bar_code_full_title', form_name='bar_code_full_title', title='条码数量完整性检查', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=159;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='bar_code_full_cb', form_name='bar_code_full_cb', title='条码数量完整性检查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"“缺页异常”查询需无数据“"},{"value":"2","label":"“无条码考生”查询需无数据“"},{"value":"3","label":"“追加题卡”需和学校记录一致“"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=160;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='missing_list_title', form_name='missing_list_title', title='缺考名单比对', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=161;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='missing_list_cb', form_name='missing_list_cb', title='缺考名单比对', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"核对“无答题卡考生”的考生是否与学校提供的缺考名单吻合，人工指定为缺考（缺考一致性>导入缺考>导入缺考缺页）；需核对平台“考生管理”中状态为“未上传”的考生是否全部为缺考、是否全部变为“人工指定”。"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=162;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='missing_course_count', form_name='missing_course_count', title='缺考科次数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=163;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='paper_form_upload_title', form_name='paper_form_upload_title', title='纸质表单上传', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=164;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='school_sign_radio', form_name='school_sign_radio', title='学校是否确认签字', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"YES","label":"是"},{"value":"NO","label":"否"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=165;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='paper_form_photos', form_name='paper_form_photos', title='上传关键节点检查表(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=6, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=166;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_param_check_title', form_name='mark_param_check_title', title='评卷参数核对', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=167;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_param_check_cb', form_name='mark_param_check_cb', title='评卷参数核对', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、核查每个科目的满分是否正确(100分、150分、300分)"},{"value":"2","label":"2、检查所有科目结构和分组是否全部导入。（评卷管理>评卷进度查看分组状态）"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=168;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='paper_form_upload_title', form_name='paper_form_upload_title', title='纸质表单上传', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=169;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='paper_form_photos', form_name='paper_form_photos', title='上传关键节点检查表(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=7, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=170;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='score_check_title', form_name='score_check_title', title='分数复核', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=171;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='score_check_cb', form_name='score_check_cb', title='分数复核', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"是否建议学校复核小题0分，大题0分，全卷0分的情况"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=172;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='school_score_check_radio', form_name='school_score_check_radio', title='学校是否选择复核', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"YES","label":"复核(推荐)"},{"value":"NO","label":"不复核","remark":[{"content":"若选择该项，则需要学校签字确认，签字随关键节点检查表上传","color":"red"}]}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=173;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='paper_form_upload_title', form_name='paper_form_upload_title', title='纸质表单上传', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=175;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='paper_form_photos', form_name='paper_form_photos', title='上传关键节点检查表(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=8, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=176;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_progress_title', form_name='mark_progress_title', title='评卷进度核查', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=177;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_progress_cb', form_name='mark_progress_cb', title='评卷进度核查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、核对阅卷总进度是否为100%"},{"value":"2","label":"2、核对科目阅卷进度是否为100%"},{"value":"3","label":"3、核对问题卷是否处理完成"},{"value":"4","label":"4、核对所有科目状态点击“结束”"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=178;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='cross_check_title', form_name='cross_check_title', title='交叉比对', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=179;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='cross_check_cb', form_name='cross_check_cb', title='交叉比对', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"是否建议学校进行同一考生多科目分数交叉比对（成绩复核-成绩校验），需所有科目全部改完后管理员账号才能查看。"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=180;
UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='mark_submit_title', form_name='mark_submit_title', title='成绩提交核查', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=181;
UPDATE t_d_form_widget
SET code='CHECKBOX', `type`='FORM', form_id='mark_submit_cb', form_name='mark_submit_cb', title='成绩提交核查', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"1、核对导出成绩表数据条数是否与考生表数量一致，不能带有“未导出全量数据”字样"},{"value":"2","label":"2、导出验收报告（考试管理-详情-验收报告），和学校签字确认盖章，上报验收报告至质控平台"},{"value":"3","label":"3、核对导出图片工具是否正常运行"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=182;
UPDATE t_d_form_widget
SET code='NUMBER', `type`='FORM', form_id='export_score_count', form_name='export_score_count', title='导出成绩数量', input_type='INT', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=183;
UPDATE t_d_form_widget
SET code='FILE', `type`='FORM', form_id='upload_check_report_photos', form_name='upload_check_report_photos', title='上传验收报告(纸质)拍照', input_type='ARRAY', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=5, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=9, handle=0, form_group=NULL, role_type=NULL, create_id=1, create_time=1
WHERE id=184;

UPDATE t_d_form_widget
SET code='FORM_GROUP_TITLE', `type`='FORM', form_id='inside_title_project', form_name='inside_title_project', title='项目经理项目内审（请于24小时内完成内审）', input_type='STRING', required=0, readable=1, writable=0, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, form_group=2, role_type='PROJECT_MANAGER', create_id=1, create_time=1
WHERE id=137;
UPDATE t_d_form_widget
SET code='RADIO', `type`='FORM', form_id='approve_radio_project', form_name='approve_radio_project', title='我对以上项目关键信息已审核，确认内容无误：', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`='[{"value":"1","label":"同意"},{"value":"0","label":"不同意"}]', flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, form_group=2, role_type='PROJECT_MANAGER', create_id=1, create_time=1
WHERE id=138;
UPDATE t_d_form_widget
SET code='SIGN', `type`='FORM', form_id='sign_project', form_name='sign_project', title='添加签名', input_type='STRING', required=1, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=6, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, form_group=2, role_type='PROJECT_MANAGER', create_id=1, create_time=1
WHERE id=139;
UPDATE t_d_form_widget
SET code='TEXTAREA', `type`='FORM', form_id='approve_ramark_project', form_name='approve_ramark_project', title='审批意见', input_type='STRING', required=0, readable=0, writable=1, visable=1, `scale`=NULL, `length`=NULL, binding=NULL, data_grid=NULL, tips=NULL, format=NULL, span=12, sub_title=NULL, `options`=NULL, flow_type='CLOUD_MARK_SOP_FLOW', form_setup=3, handle=0, form_group=2, role_type='PROJECT_MANAGER', create_id=1, create_time=1
WHERE id=140;

-- 2024-09以后