﻿-- 2024-09-04
ALTER TABLE t_b_ding
    CHANGE COLUMN sop_no sop_no VARCHAR(100) CHARACTER SET 'utf8mb4' NULL COMMENT 'sop单号' ,
    CHANGE COLUMN ding_sop_no ding_sop_no VARCHAR(100) CHARACTER SET 'utf8mb4' NULL COMMENT '实际打卡对应的sop单号' ;

INSERT INTO sys_config (id, config_key, config_name, config_value, enable, sort, create_id) VALUES ('41', 'region.coordinator.ding.time', '区域协调人打卡时间段', '{\"startTime\": 1725292800000,\"endTime\": 1725897600000}', '1', '1', '1');

-- 2024-09-05
ALTER TABLE t_b_ding_apply
    ADD COLUMN service_id BIGINT NULL COMMENT '服务单元id' AFTER id;
ALTER TABLE t_b_ding_apply
    CHANGE COLUMN sop_no sop_no VARCHAR(100) CHARACTER SET 'utf8mb4' NULL COMMENT 'sop编号' ,
    CHANGE COLUMN crm_no crm_no VARCHAR(100) CHARACTER SET 'utf8mb4' NULL COMMENT '派单编号' ;

UPDATE t_b_ding_apply tbda
SET
    tbda.service_id = (SELECT
            tbc.service_id
        FROM
            t_b_crm tbc
        WHERE
            tbda.crm_no = tbc.crm_no)
WHERE
    service_id IS NULL;
